Start Image Build
curl --request POST \
--url https://api.primeintellect.ai/api/v1/images/build/{build_id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context_uploaded": true
}
'import requests
url = "https://api.primeintellect.ai/api/v1/images/build/{build_id}/start"
payload = { "context_uploaded": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({context_uploaded: true})
};
fetch('https://api.primeintellect.ai/api/v1/images/build/{build_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"imageName": "<string>",
"imageTag": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"artifacts": [
{
"id": "<string>",
"status": "PENDING",
"createdAt": "2023-11-07T05:31:56Z",
"artifactType": "CONTAINER_IMAGE",
"fullImagePath": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Images
Start Image Build
Start the image build process after uploading the build context.
This creates a sandbox with Docker-in-Docker to build and push the image.
POST
/
api
/
v1
/
images
/
build
/
{build_id}
/
start
Start Image Build
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request model to start the build after upload.
Confirmation that context was uploaded
Response
Successful Response
Response model for a logical build group.
Public identifier for the logical build group
Name of the image being built
Tag of the image being built
Aggregated build-group status
Available options:
PENDING, UPLOADING, BUILDING, COMPLETED, FAILED, CANCELLED Timestamp when the build was created
Timestamp when the build started
Timestamp when the build completed
Artifact rows associated with this build group
Show child attributes
Show child attributes
Was this page helpful?